New Graphics Card

Status
Not open for further replies.

Blackmoore

Daemon Poster
Messages
592
My younger brother recently downloaded the Battlefield 2 Demo, and the game wouldn't run. Apprently the screen flickers a few times and then it does nothing. I looked up the minimum specs, and it says it needs a FX5700 or higher. Hes only running a 128Mb FX5200. Is this his problem? Hes running a AMD XP 2400+ on an MSI board, on a Gig of PC2700. If it is the problem can you guys recommend a decent card that wont cost him an arm and a leg. Were not talking top of the line here, just something that will get the job done in a system like his.
 

diabloII

Fully Optimized
Messages
3,215
nonononono

you don't need a new gfx card

hundreds of thousands (somewhat exaggerating) of people have been getting flickering problems with BF2...it's not yourfault

but it seems like time for an upgrade though

an eVGA 6600GT should be a very nice upgrade for around $150 right now
 

VelvetyAmoeba

Baseband Member
Messages
53
Yes; it's out and playable.

Hope your card has a SM 3.0. BF2 looks splendid with it, still not bad on SM 2.0

I too have flicker problems. On both an Integrated chip (Duh) and on the FX5200 ULTRA. It could be because of the cards, or a demo bug. Not sure.

It does, however, run flawlessly (and beautifully) on dual 6800 GTs.
 

beedubaya

Golden Master
Messages
5,283
Location
Oklahoma
VelvetyAmoeba said:
Yes; it's out and playable.

Hope your card has a SM 3.0. BF2 looks splendid with it, still not bad on SM 2.0

I too have flicker problems. On both an Integrated chip (Duh) and on the FX5200 ULTRA. It could be because of the cards, or a demo bug. Not sure.

It does, however, run flawlessly (and beautifully) on dual 6800 GTs.

Does BF2 support SM2.0? I thought it was only 1.4 and 3.0 :confused:
 

dhw200

Fully Optimized
Messages
2,433
ive gotten some flicker problems on my X850 XT, so its no just you. the game has a few bugs. but then again, so do most Battlefield games. they r usually resolved by a patch a little bit after release
 

VelvetyAmoeba

Baseband Member
Messages
53
beedubaya said:
Does BF2 support SM2.0? I thought it was only 1.4 and 3.0 :confused:

You could be right. I'm not sure. I thought I read somewhere that SM 2.0 was supported, but can't find the link in my history.

Why would it support 1.4 and 3.0, without supporting 2.0? :confused:
 

beedubaya

Golden Master
Messages
5,283
Location
Oklahoma
Most developers are doing this now to promote Nvidia cards, plus SM3.0 is also very easy to code in I hear. Therefore, only Nvidia users can even play in DX9! If you don't have SM3, which only the GeForce 6 series cards do, you are stuck in DX8.1.
 

buckman341

In Runtime
Messages
119
i have a 6800 gt and i had some pretty craptacular performance as well, so im pretty sure its not just you.

btw, the 6800 gt has sm3.0 right?

i hope they get this ironed out by release :confused:
 
Status
Not open for further replies.
Top